HostingTeam members
List team members
GET
/api/team_membersReturns the team members available to the authenticated user.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Query Parameters
customer_code?string
Customer code to filter team members by. Admin only.
status?string
Team member status filter.
all= include enabled and disabled resources.enabled= active and usable.disabled= disabled.
Values
all | enabled | disabledpage?integer
Page number
Format
int32Default 1per?integer
Results per page
Format
int32Default 25query?string
Search query
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/team_members" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json"{
"resources": [
{
"linked_email_account": "string",
"created_at": "string",
"updated_at": "string",
"is_customer_wholesale": "string",
"is_customer_disabled": "string",
"is_customer_reseller": "string",
"is_customer_trial": "string",
"can_access_delivery": "string",
"customer_code": "string",
"is_vianova_customer": "string",
"catch_all": "string",
"can_edit_outbound_limits": "string",
"status_detail": "customer",
"status": "enabled",
"code": "string",
"lastname": "string",
"firstname": "string",
"fullname": "string",
"otp": "string",
"allow_nets": "string",
"timezone": "string",
"email_address": "string",
"language": "it",
"type": "TeamMember",
"customization_logo": "string",
"customization_help_desk_url": "string",
"customization_company": "string",
"permissions": "string",
"ordered_domains": "string",
"type_label": "string"
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}